<?php

/**
 * @param Protty
 * @url www.pder.org
 **/
class Index
{

    static function ProttyIndexControl()
    {
        if (! file_exists('PROTTY.KEY')) {
            header('location:Install.php');
            exit();
        }
        define(TEMP_URL, "Template/Engine/default/");
        define(ICN_URL, "Template/BuildWorld/proInner/");
        require_once 'config.php';
        require_once 'Template/index.php';
    }

    static function ProttyAdminControl()
    {
        define(URL_INDEX, "../");
        include URL_INDEX . 'config.php'; // config配置
        include 'Document/ifget.php'; // 检测get请求
        include 'Document/login.php'; // 登陆验证
        include 'Document/index_go.php'; // 后台仪表盘
        include 'Document/my.php'; // 个人信息设置.ok
        include 'Document/out.php'; // 退出
        include 'Document/site.php'; // 网站设置.ok
        include 'Document/add_article.php'; // 添加文章.ok
        include 'Document/add_ify.php'; // 添加分类.ok
        include 'Document/article.php'; // 文章列表
        include 'Document/edit_article.php'; // 文章修改/删除 .ok
        include 'Document/ify.php'; // 分类列表
        include 'Document/edit_ify.php'; // 分类修改.ok
        include 'Document/mss_set.php'; // 留言配置.ok
        include 'Document/Talk.php'; // 心情.ok
        include 'Document/msg.php'; // 留言模块.ok
        include 'Document/link.php'; // 链接模块.ok
    }
}

?>